Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dpbequ

    java.lang.Object
      org.netlib.lapack.Dpbequ

    public class Dpbequ

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPBEQU computes row and column scalings intended to equilibrate a
     *  symmetric positive definite band matrix A and reduce its condition
     *  number (with respect to the two-norm).  S contains the scale factors,
     *  S(i) = 1/sqrt(A(i,i)), chosen so that the scaled matrix B with
     *  elements B(i,j) = S(i)*A(i,j)*S(j) has ones on the diagonal.  This
     *  choice of S puts the condition number of B within a factor N of the
     *  smallest possible condition number over all possible diagonal
     *  scalings.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangular of A is stored;
     *          = 'L':  Lower triangular of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KD >= 0.
     *
     *  AB      (input) DOUBLE PRECISION array, dimension (LDAB,N)
     *          The upper or lower triangle of the symmetric band matrix A,
     *          stored in the first KD+1 rows of the array.  The j-th column

     *          of A is stored in the j-th column of the array AB as follows:
     *          if UPLO = 'U', AB(kd+1+i-j,j) = A(i,j) for max(1,j-kd)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+kd).
     *
     *  LDAB     (input) INTEGER
     *          The leading dimension of the array A.  LDAB >= KD+1.
     *
     *  S       (output) DOUBLE PRECISION array, dimension (N)
     *          If INFO = 0, S contains the scale factors for A.
     *
     *  SCOND   (output) DOUBLE PRECISION
     *          If INFO = 0, S contains the ratio of the smallest S(i) to
     *          the largest S(i).  If SCOND >= 0.1 and AMAX is neither too
     *          large nor too small, it is not worth scaling by S.
     *
     *  AMAX    (output) DOUBLE PRECISION
     *          Absolute value of largest matrix element.  If AMAX is very
     *          close to overflow or very close to underflow, the matrix
     *          should be scaled.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = i, the i-th diagonal element is nonpositive.

     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dpbequ()`

Method Summary
`static void` | `dpbequ(java.lang.String uplo, int n, int kd, double[] ab, int _ab_offset, int ldab, double[] s, int _s_offset, doubleW scond, doubleW amax, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dpbequ

    public Dpbequ()

Method Detail

### dpbequ

    public static void dpbequ(java.lang.String uplo,
                              int n,
                              int kd,
                              double[] ab,
                              int _ab_offset,
                              int ldab,
                              double[] s,
                              int _s_offset,
                              doubleW scond,
                              doubleW amax,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD